@DEFINE     twelve  12      ; an example variable

start:                      ; jumpLabel at the start of the .bin file
                            ; to use a jumpLabel in an instruction you must use @ infront of it.
                            ; this is necessary as the assembler does not know which instructions are jumps

    ZERO                    ; sets both ad register and ac register to 0

memFillLoop:                ; jumpLabel for the loop that fill the memory, word 1
    savacrad                ; saves ac register to adress of the ad register in the ram
    addlad  1               ; increments the address in ad register
    siadz                   ; skips next instruction if ad register is 0
        jump @memFillLoop   ; jumps to the start of the loop
                            ; when a variable if prefaced with @ it is a jumpLabel. This prevents collissions between variable names and jumpLabels
    addlac  twelve          ; adds 12 to the ac register
    xorlac  @memFillLoop    ; xors the adress of memFillLoop (1) with the content of acc
    sublad  screen          ; subtracts the value of screen (0, defined in .archfile) from the ad register
    halt                    ; halts the execution of the program